import csv
import mysql.connector
import errno as Error
import argparse

def maketable():
	statement1 = "CREATE TABLE IF NOT EXISTS `"+filename+ """` (
  `msgtype` int(11) NOT NULL,
  `atimestamp` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `msg` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `custom_mode` int(11) NOT NULL,
  `reportedtype` int(11) NOT NULL,
  `autopilot` int(11) NOT NULL,
  `base_mode` int(11) NOT NULL,
  `system_status` int(11) NOT NULL,
  `mavlink_version` int(11) NOT NULL,
  `scino` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `sensors_present` int(11) NOT NULL,
  `sensors_enabled` int(11) NOT NULL,
  `sensors_health` int(11) NOT NULL,
  `loada` int(11) NOT NULL,
  `battery_voltage` int(11) NOT NULL,
  `battery_current` int(11) NOT NULL,
  `comm_drop_rate` int(11) NOT NULL,
  `comm_errors` int(11) NOT NULL,
  `errorcount1` int(11) NOT NULL,
  `errorcount2` int(11) NOT NULL,
  `sats_vis` int(11) NOT NULL,
  `errorcount3` int(11) NOT NULL,
  `errorcount4` int(11) NOT NULL,
  `battery_remaining` int(11) NOT NULL,
  `systime` int(11) NOT NULL,
  `param_value` float NOT NULL,
  `param_count` int(11) NOT NULL,
  `param_index` int(11) NOT NULL,
  `param_id` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `param_type` int(11) NOT NULL,
  `time_usec` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `lat` int(11) NOT NULL,
  `lon` int(11) NOT NULL,
  `alt` float NOT NULL,
  `eph` int(11) NOT NULL,
  `epv` int(11) NOT NULL,
  `vel` int(11) NOT NULL,
  `cog` int(11) NOT NULL,
  `fix_type` int(11) NOT NULL,
  `result` int(11) NOT NULL,
  `xacc` int(11) NOT NULL,
  `yacc` int(11) NOT NULL,
  `zacc` int(11) NOT NULL,
  `xgyro` int(11) NOT NULL,
  `ygyro` int(11) NOT NULL,
  `zgyro` int(11) NOT NULL,
  `xmag` int(11) NOT NULL,
  `ymag` int(11) NOT NULL,
  `zmag` int(11) NOT NULL,
  `time_boot` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `pres_abs` float NOT NULL,
  `press_diff` float NOT NULL,
  `temperature` int(11) NOT NULL,
  `roll` float NOT NULL,
  `pitch` float NOT NULL,
  `yaw` float NOT NULL,
  `rollspeed` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `pitchspeed` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `yawspeed` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `relative_alt` int(11) NOT NULL,
  `vx` int(11) NOT NULL,
  `vy` int(11) NOT NULL,
  `vz` int(11) NOT NULL,
  `hdg` int(11) NOT NULL,
  `chan1` int(11) NOT NULL,
  `chan2` int(11) NOT NULL,
  `chan3` int(11) NOT NULL,
  `chan4` int(11) NOT NULL,
  `chan5` int(11) NOT NULL,
  `chan6` int(11) NOT NULL,
  `chan7` int(11) NOT NULL,
  `chan8` int(11) NOT NULL,
  `port` int(11) NOT NULL,
  `rssi` int(11) NOT NULL,
  `servo1` int(11) NOT NULL,
  `servo2` int(11) NOT NULL,
  `servo3` int(11) NOT NULL,
  `servo4` int(11) NOT NULL,
  `servo5` int(11) NOT NULL,
  `servo6` int(11) NOT NULL,
  `servo7` int(11) NOT NULL,
  `servo8` int(11) NOT NULL,
  `param1` int(11) NOT NULL,
  `param2` int(11) NOT NULL,
  `param3` int(11) NOT NULL,
  `param4` int(11) NOT NULL,
  `x` int(11) NOT NULL,
  `y` int(11) NOT NULL,
  `z` int(11) NOT NULL,
  `seq` int(11) NOT NULL,
  `command` int(11) NOT NULL,
  `target_system` int(11) NOT NULL,
  `target_component` int(11) NOT NULL,
  `frame` int(11) NOT NULL,
  `current` int(11) NOT NULL,
  `autocontinue` int(11) NOT NULL,
  `thetype` int(11) NOT NULL,
  `nav_roll` float NOT NULL,
  `nav_pitch` float NOT NULL,
  `alt_error` float NOT NULL,
  `aspd_error` float NOT NULL,
  `xtrack_error` float NOT NULL,
  `nav_bearing` int(11) NOT NULL,
  `target_bearing` int(11) NOT NULL,
  `wp_dist` int(11) NOT NULL,
  `airspeed` float NOT NULL,
  `groundspeed` float NOT NULL,
  `gyro_cal_y` float NOT NULL,
  `climb` float NOT NULL,
  `heading` int(11) NOT NULL,
  `throttle` int(11) NOT NULL,
  `rxerrors` int(11) NOT NULL,
  `fixed` int(11) NOT NULL,
  `remrssi` int(11) NOT NULL,
  `txbuffer` int(11) NOT NULL,
  `noise` int(11) NOT NULL,
  `remnoise` int(11) NOT NULL,
  `mag_declination` float NOT NULL,
  `raw_press` int(11) NOT NULL,
  `raw_temp` int(11) NOT NULL,
  `gyro_cal_x` float NOT NULL,
  `gyro_cal_z` float NOT NULL,
  `accel_cal_x` float NOT NULL,
  `accel_cal_y` float NOT NULL,
  `accel_cal_z` float NOT NULL,
  `mag_ofs_x` int(11) NOT NULL,
  `mag_ofs_y` int(11) NOT NULL,
  `mag_ofs_z` int(11) NOT NULL,
  `brkval` int(11) NOT NULL,
  `freemem` int(11) NOT NULL,
  `breach_time` int(11) NOT NULL,
  `breach_count` int(11) NOT NULL,
  `breach_status` int(11) NOT NULL,
  `breach_type` int(11) NOT NULL,
  `omegaIx` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `omegaIy` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `omegaIz` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `accel_weight` float NOT NULL,
  `renorm_val` float NOT NULL,
  `error_rp` float NOT NULL,
  `error_yaw` float NOT NULL,
  `vcc` int(11) NOT NULL,
  `I2Cerr` int(11) NOT NULL,
  `txbuff` int(11) NOT NULL,
  `distance` float NOT NULL,
  `voltage` float NOT NULL,
  `severity` int(11) NOT NULL,
  `text` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `count` int(11) NOT NULL,
  `interference` int(11) NOT NULL,
  `CompensationX` float NOT NULL,
  `CompensationY` float NOT NULL,
  `CompensationZ` float NOT NULL,
  `com_current` float NOT NULL,
  `dbID` int(11) PRIMARY KEY AUTO_INCREMENT
)"""
	cursor.execute(statement1)

def zero():						
	msgtype = row[0]
	atimestamp = row[1]
	msg = "heartbeat"
	custom_mode =row[4]
	a = custom_mode.split(":")
	custom_mode = a[1]
	reportedtype = row[5]
	a = reportedtype.split(":")
	reportedtype = a[1]
	autopilot = row [6]
	a = autopilot.split(":")
	autopilot = a[1]
	base_mode = row [7]
	a = base_mode.split(":")
	base_mode = a[1]
	system_status = row[8]
	a = system_status.split(":")
	system_status = a[1]
	mavlink_version = row[9]
	a = mavlink_version.split(":")
	mavlink_version = a[1]
	scino = row[10]
	args = (msgtype, atimestamp, msg, custom_mode, reportedtype, autopilot, base_mode, system_status, mavlink_version, scino)
	query = "INSERT INTO `" + tablename + "`(msgtype, atimestamp, msg, custom_mode, reportedtype, autopilot, base_mode, system_status, mavlink_version, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)
def one():
	print "1"
	msgtype = row[0]
	atimestamp = row[1]
	msg = "sys_status"
	sensors_present = row[4]
	a = sensors_present.split(":")
	sensors_present = a[1]
	sensors_enabled = row[5]
	a = sensors_enabled.split(":")
	sensors_enabled = a[1]
	sensors_health = row[6]
	a = sensors_health.split(":")
	sensors_health = a[1]
	loada = row[7]
	a = loada.split(":")
	loada = a[1]
	battery_voltage = row[8]
	a = battery_voltage.split(":")
	battery_voltage = a[1]
	battery_current = row[9]
	a = battery_current.split(":")
	battery_current = a[1]
	comm_drop_rate = row[10]
	a = comm_drop_rate.split(":")
	comm_drop_rate = a[1]
	comm_errors = row[11]
	a = comm_errors.split(":")
	comm_errors = a[1]
	errorcount1 = row[12]
	a = errorcount1.split(":")
	errorcount1 = a[1]
	errorcount2 = row[13]
	a = errorcount2.split(":")
	errorcount2 = a[1]
	errorcount3 = row[14]
	a = errorcount3.split(":")
	errorcount3 = a[1]
	errorcount4 = row[15]
	a = errorcount4.split(":")
	errorcount4 = a[1]
	battery_remaining = row[16]
	a = battery_remaining.split(":")
	battery_remaining = a[1]
	scino = row[17]
	args = (msgtype, atimestamp, msg, sensors_present, sensors_enabled, sensors_health, loada, battery_voltage, battery_current, comm_drop_rate, comm_errors, errorcount1, errorcount2, errorcount3, errorcount4, battery_remaining, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, sensors_present, sensors_enabled, sensors_health, loada, battery_voltage, battery_current, comm_drop_rate, comm_errors, errorcount1, errorcount2, errorcount3, errorcount4, battery_remaining, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)
def two():											
	print "2"
	msgtype = row[0]
	atimestamp = row[1]
	msg = "system_time"
	systime = row[4]
	a = systime.split(":")
	systime = a[1]
	time_boot = row[5]
	a = time_boot.split(":")
	time_boot = a[1]
	scino = row[6]
	args = (msgtype, atimestamp, msg, systime, time_boot, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, systime, time_boot, scino) VALUES (%s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def twentytwo():								
	print "22"
	msgtype = row[0]
	atimestamp = row[1]
	msg = "param_value"
	param_value = row[4]
	a = param_value.split(":")
	param_value = a[1]
	param_count = row[5]
	a = param_count.split(":")
	param_count = a[1]
	param_index = row[6]
	a = param_index.split(":")
	param_index = a[1]
	param_id = row[7]
	a = param_id.split(":")
	param_id = a[1]
	param_type = row[8]
	a = param_type.split(":")
	param_type = a[1]
	scino = row[9]
	args = (msgtype, atimestamp, msg, param_value, param_count, param_index, param_id, param_type, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, param_value, param_count, param_index, param_id, param_type, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def twentyfour():			
	print "24"
	msgtype = row[0]
	atimestamp = row[1]
	msg = "GPS_RAW_INT"
	time_usec = row[4]
	a = time_usec.split(":")
	time_usec = a[1]
	lat = row[5]
	a = lat.split(":")
	lat = a[1]
	lon = row[6]
	a = lon.split(":")
	lon = a[1]
	alt = row[7]
	a = alt.split(":")
	alt = a[1]
	eph = row[8]
	a = eph.split(":")
	eph = a[1]
	epv = row[9]
	a = epv.split(":")
	epv = a[1]
	vel = row[10]
	a = vel.split(":")
	vel = a[1]
	cog = row[11]
	a = cog.split(":")
	cog = a[1]
	fix_type = row[12]
	a = fix_type.split(":")
	fix_type = a[1]
	sats_vis = row[13]
	a = sats_vis.split(":")
	sats_vis = a[1]
	scino = row[14]
	args = (msgtype, atimestamp, msg, time_usec, lat, lon, alt, eph, epv, vel, cog, fix_type, sats_vis, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, time_usec, lat, lon, alt, eph, epv, vel, cog, fix_type, sats_vis, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def twentyseven():			
	print "27"
	msgtype = row[0]
	atimestamp = row[1]
	msg = "RAW_IMU"
	time_usec = row[4]
	a = time_usec.split(":")
	xacc = row[5]
	a = xacc.split(":")
	xacc = a[1]
	yacc = row[6]
	a = yacc.split(":")
	yacc = a[1]
	zacc = row[7]
	a = zacc.split(":")
	zacc = a[1]
	xgyro = row[8]
	a = xgyro.split(":")
	xgyro = a[1]
	ygyro = row[9]
	a = ygyro.split(":")
	ygyro = a[1]
	zgyro = row[10]
	a = zgyro.split(":")
	zgyro = a[1]
	xmag = row[11]
	a = xmag.split(":")
	xmag = a[1]
	ymag = row[12]
	a = ymag.split(":")
	ymag = a[1]
	zmag = row[13]
	a = zmag.split(":")
	zmag = a[1]
	scino = row[14]
	args = (msgtype, atimestamp, msg, time_usec, xacc, yacc, zacc, xgyro, ygyro, zgyro, xmag, ymag, zmag, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, time_usec, xacc, yacc, zacc, xgyro, ygyro, zgyro, xmag, ymag, zmag, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def twentynine():									
	print "29"
	msgtype = row[0]
	atimestamp = row[1]
	msg = "scaled_pressure"
	time_boot = row[4]
	a = time_boot.split(":")
	time_boot = a[1]
	pres_abs = row[5]
	a = pres_abs.split(":")
	pres_abs = a[1]
	press_diff = row[6]
	a = press_diff.split(":")
	press_diff = a[1]
	temperature = row[7]
	a = temperature.split(":")
	temperature = a[1]
	scino = row[8]
	args = (msgtype, atimestamp, msg, time_boot, pres_abs, press_diff, temperature, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, time_boot, pres_abs, press_diff, temperature, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def thirty():						
	print "30"
	msgtype = row[0]
	atimestamp = row[1]
	msg = "attitude"
	time_boot = row[4]
	a = time_boot.split(":")
	time_boot = a[1]
	roll = row[5]
	a = roll.split(":")
	roll = a[1]
	pitch = row[6]
	a = pitch.split(":")
	pitch = a[1]
	yaw = row[7]
	a = yaw.split(":")
	yaw = a[1]
	rollspeed = row[8]
	a = rollspeed.split(":")
	rollspeed = a[1]
	pitchspeed = row[9]
	a = pitchspeed.split(":")
	pitchspeed = a[1]
	yawspeed = row[10]
	a = yawspeed.split(":")
	yawspeed = a[1]
	scino = row[11]
	args = (msgtype, atimestamp, msg, time_boot, roll, pitch, yaw, rollspeed, pitchspeed, yawspeed, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, time_boot, roll, pitch, yaw, rollspeed, pitchspeed, yawspeed, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def thirtythree():					
	print "33"
	msgtype = row[0]
	atimestamp = row[1]
	msg = "global_position_int"
	time_boot = row[4]
	a = time_boot.split(":")
	time_boot = a[1]
	lat = row[5]
	a = lat.split(":")
	lat = a[1]
	lon = row[6]
	a = lon.split(":")
	lon = a[1]
	alt = row[7]
	a = alt.split(":")
	alt = a[1]
	relative_alt = row[8]
	a = relative_alt.split(":")
	relative_alt = a[1]
	vx = row[9]
	a = vx.split(":")
	vx = a[1]
	vy = row[10]
	a = vy.split(":")
	vy = a[1]
	vz = row[11]
	a = vz.split(":")
	vz = a[1]
	hdg = row[12]
	a = hdg.split(":")
	hdg = a[1]
	scino = row[13]
	args = (msgtype, atimestamp, msg, time_boot, lat, lon, alt, relative_alt, vx, vy, vz, hdg, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, time_boot, lat, lon, alt, relative_alt, vx, vy, vz, hdg, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def thirtyfive ():		
	print "35"
	msgtype = row[0]
	atimestamp = row[1]
	msg = "rc_channels_raw"
	time_boot = row[4]
	a = time_boot.split(":")
	chan1 = row[5]
	a = chan1.split(":")
	chan1 = a[1]
	chan2 = row[6]
	a = chan2.split(":")
	chan2 = a[1]
	chan3 = row[7]
	a = chan3.split(":")
	chan3 = a[1]
	chan4 = row[8]
	a = chan4.split(":")
	chan4 = a[1]
	chan5 = row[9]
	a = chan5.split(":")
	chan5 = a[1]
	chan6 = row[10]
	a = chan6.split(":")
	chan6 = a[1]
	chan7 = row[11]
	a = chan7.split(":")
	chan7 = a[1]
	chan8 = row[12]
	a = chan8.split(":")
	chan8 = a[1]
	port = row[13]
	a = port.split(":")
	port = a[1]
	rssi = row[14]
	a = rssi.split(":")
	rssi = a[1]
	scino = row[15]
	args = (msgtype, atimestamp, msg, time_boot, chan1, chan2, chan3, chan4, chan5, chan6, chan7, chan8, port, rssi, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, time_boot, chan1, chan2, chan3, chan4, chan5, chan6, chan7, chan8, port, rssi, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def thirtysix ():
	print "36"			
	msgtype = row[0]
	atimestamp = row[1]
	msg = "servo_output"
	time_usec = row[4]
	a = time_usec.split(":")
	time_usec = a[1]
	servo1 = row[5]
	a = servo1.split(":")
	servo1 = a[1]
	servo2 = row[6]
	a = servo2.split(":")
	servo2 = a[1]
	servo3 = row[7]
	a = servo3.split(":")
	servo3 = a[1]
	servo4 = row[8]
	a = servo4.split(":")
	servo4 = a[1]
	servo5 = row[9]
	a = servo5.split(":")
	servo5 = a[1]
	servo6 = row[10]
	a = servo6.split(":")
	servo6 = a[1]
	servo7 = row[11]
	a = servo7.split(":")
	servo7 = a[1]
	servo8 = row[12]
	a = servo8.split(":")
	servo8 = a[1]
	port = row[13]
	a = port.split(":")
	port = a[1]
	scino = row[14]
	args = (msgtype, atimestamp, msg, time_usec, servo1, servo2, servo3, servo4, servo5, servo6, servo7, servo8, port, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, time_boot, servo1, servo2, servo3, servo4, servo5, servo6, servo7, servo8, port, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def thirtynine():
	print "39"
	msgtype = row[0]
	atimestamp = row[1]
	msg = "Mission_item"
	param1 = row[4]
	a = param1.split(":")
	param1 = a[1]
	param2 = row[5]
	a = param2.split(":")
	param2 = a[1]
	param3 = row[6]
	a = param3.split(":")
	param3 = a[1]
	param4 = row[7]
	a = param4.split(":")
	param4 = a[1]
	x = row[8]
	a = x.split(":")
	x = a[1]
	y = row[9]
	a = y.split(":")
	y = a[1]
	z = row[10]
	a = z.split(":")
	z = a[1]
	seq = row[11]
	a = seq.split(":")
	seq = a[1]
	command = row[12]
	a = command.split(":")
	command = a[1]
	target_system = row[13]
	a = target_system.split(":")
	target_system = a[1]
	target_component = row[14]
	a = target_component.split(":")
	target_component = a[1]
	frame = row[15]
	a = frame.split(":")
	frame = a[1]
	current = row[16]
	a = current.split(":")
	current = a[1]
	autocontinue = row[17]
	a = autocontinue.split(":")
	autocontinue = a[1]
	scino = row[18]
	args = (msgtype, atimestamp, msg, param1, param2, param3, param4, x, y, z, seq, command, target_system, target_component, frame, current, autocontinue, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, param1, param2, param3, param4, x, y, z, seq, command, target_system, target_component, frame, current, autocontinue, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def fourty():
	print "40"										
	msgtype = row[0]
	atimestamp = row[1]
	msg = "Mission_request"
	seq = row[4]
	a = seq.split(":")
	seq = a[1]
	target_system = row[5]
	a = target_system.split(":")
	target_system = a[1]
	target_component = row[6]
	a = target_component.split(":")
	target_component = a[1]
	scino = row[7]
	args = (msgtype, atimestamp, msg, seq, target_system, target_component, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, seq, target_system, target_component, scino) VALUES (%s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)


def fourtytwo():
	print "42"													
	msgtype = row[0]
	atimestamp = row[1]
	msg = "mission_current"
	seq = row[4]
	a = seq.split(":")
	seq = a[1]
	scino = row[5]
	args = (msgtype, atimestamp, msg, seq, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, seq, scino) VALUES (%s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def fourtyfour():
	print "44"									
	msgtype = row[0]
	atimestamp = row[1]
	msg = "Mission_count"
	count = row[4]
	a = count.split(":")
	count = a[1]
	target_system = row[5]
	a = target_system.split(":")
	target_system = a[1]
	target_component = row[6]
	a = target_component.split(":")
	target_component = a[1]
	scino = row[7]
	args = (msgtype, atimestamp, msg, count, target_system, target_component, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, count, target_system, target_component, scino) VALUES (%s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def fourtyseven():
	print "47"										
	msgtype = row[0]
	atimestamp = row[1]
	msg = "Mission_ack"
	target_system = row[4]
	a = target_system.split(":")
	target_system = a[1]
	target_component = row[5]
	a = target_component.split(":")
	target_component = a[1]
	thetype = row[6]
	a = thetype.split(":")
	thetype = a[1]
	scino = row[7]
	args = (msgtype, atimestamp, msg, target_system, target_component, thetype, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, target_system, target_component, thetype, scino) VALUES (%s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def sixtytwo():
	print "62"						
	msgtype = row[0]
	atimestamp = row[1]
	msg = "Nav_Controller_output"
	nav_roll = row[4]
	a = nav_roll.split(":")
	nav_roll = a[1]
	nav_pitch = row[5]
	a = nav_pitch.split(":")
	nav_pitch = a[1]
	alt_error = row[6]
	a = alt_error.split(":")
	alt_error = a[1]
	aspd_error = row[7]
	a = aspd_error.split(":")
	aspd_error = a[1]
	xtrack_error = row[8]
	a = xtrack_error.split(":")
	xtrack_error = a[1]
	nav_bearing = row[9]
	a = nav_bearing.split(":")
	nav_bearing = a[1]
	target_bearing = row[10]
	a = target_bearing.split(":")
	target_bearing = a[1]
	wp_dist = row[11]
	a = wp_dist.split(":")
	wp_dist = a[1]
	scino = row[12]
	args = (msgtype, atimestamp, msg, nav_roll, nav_pitch, alt_error, aspd_error, xtrack_error, nav_bearing, target_bearing, wp_dist, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, nav_roll, nav_pitch, alt_error, aspd_error, xtrack_error, nav_bearing, target_bearing, wp_dist, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def seventyfour():
	print "74"							
	msgtype = row[0]
	atimestamp = row[1]
	msg = "VFR_HUD"
	airspeed = row[4]
	a = airspeed.split(":")
	airspeed = a[1]
	groundspeed = row[5]
	a = groundspeed.split(":")
	groundspeed = a[1]
	alt = row[6]
	a = alt.split(":")
	alt = a[1]
	climb = row[7]
	a = climb.split(":")
	climb = a[1]
	heading = row[8]
	a = heading.split(":")
	heading = a[1]
	throttle = row[9]
	a = throttle.split(":")
	throttle = a[1]
	scino = row[10]
	args = (msgtype, atimestamp, msg, airspeed, groundspeed, alt, climb, heading, throttle, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, airspeed, groundspeed, alt, climb, heading, throttle, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def seventyseven():
	print "77"																	
	msgtype = row[0]
	atimestamp = row[1]
	msg = "Command_ack"
	command = row[4]
	a = command.split(":")
	command = a[1]
	result = row[5]
	a = result.split(":")
	result = a[1]
	scino = row[6]
	args = (msgtype, atimestamp, msg, command, result, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, command, result, scino) VALUES (%s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def oneohnine():
	print "109"						
	msgtype = row[0]
	atimestamp = row[1]
	msg = "Radio_status"
	rxerrors = row[4]
	a = rxerrors.split(":")
	rxerrors = a[1]
	fixed = row[5]
	a = fixed.split(":")
	fixed = a[1]
	rssi = row[6]
	a = rssi.split(":")
	rssi = a[1]
	remrssi = row[7]
	a = remrssi.split(":")
	remrssi = a[1]
	txbuffer = row[8]
	a = txbuffer.split(":")
	txbuffer = a[1]
	noise = row[9]
	a = noise.split(":")
	noise = a[1]
	remnoise = row[10]
	a = remnoise.split(":")
	remnoise = a[1]
	scino = row[11]
	args = (msgtype, atimestamp, msg, rxerrors, fixed, rssi, remrssi, txbuffer, noise, remnoise, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, rxerrors, fixed, rssi, remrssi, txbuffer, noise, remnoise, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def onefifty():
	print "150"	
	msgtype = row[0]
	atimestamp = row[1]
	msg = "Sensor_offsets"
	mag_declination = row[4]
	a = mag_declination.split(":")
	mag_declination = a[1]
	raw_press = row[5]
	a = raw_press.split(":")
	raw_press = a[1]
	raw_temp = row[6]
	a = raw_temp.split(":")
	raw_temp = a[1]
	gyro_cal_x = row[7]
	a = gyro_cal_x.split(":")
	gyrp_cal_x = a[1]
	gyro_cal_y = row[8]
	a = gyro_cal_y.split(":")
	gyro_cal_y = a[1]
	gyro_cal_z = row[9]
	a = gyro_cal_z.split(":")
	gyro_cal_z = a[1]
	accel_cal_x = row[10]
	a = accel_cal_x.split(":")
	accel_cal_x = a[1]
	accel_cal_y = row[11]
	a = accel_cal_y.split(":")
	accel_cal_y = a[1]
	accel_cal_z = row[12]
	a = accel_cal_z.split(":")
	accel_cal_z = a[1]
	mag_ofs_x = row[13]
	a = mag_ofs_x.split(":")
	mag_ofs_x = a[1]
	mag_ofs_y = row[14]
	a = mag_ofs_y.split(":")
	mag_ofs_y = a[1]
	mag_ofs_z = row[15]
	a = mag_ofs_z.split(":")
	mag_ofs_z = a[1]
	scino = row[16]
	args = (msgtype, atimestamp, msg, mag_declination, raw_press, raw_temp, gyro_cal_x, gyro_cal_y, gyro_cal_z, accel_cal_x, accel_cal_y, accel_cal_z, mag_ofs_x, mag_ofs_y, mag_ofs_z, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, mag_declination, raw_press, raw_temp, gyro_cal_x, gyro_cal_y, gyro_cal_z, accel_cal_x, accel_cal_y, accel_cal_z, mag_ofs_x, mag_ofs_y, mag_ofs_z, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def onefivetwo():
	print "152"												
	msgtype = row[0]
	atimestamp = row[1]
	msg = "meminfo"
	brkval = row[4]
	a = brkval.split(":")
	brkval = a[1]
	freemem = row[5]
	a = freemem.split(":")
	freemem = a[1]
	scino = row[6]
	args = (msgtype, atimestamp, msg, brkval, freemem, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, brkval, freemem, scino) VALUES (%s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)
def onesixtwo():
	print "162"										
	msgtype = row[0]
	atimestamp = row[1]
	msg = "fence_status"
	breach_time = row[4]
	a = breach_time.split(":")
	breach_time = a[1]
	breach_count = row[5]
	a = breach_count.split(":")
	breach_count = a[1]
	breach_status = row[6]
	a = breach_status.split(":")
	breach_status = a[1]
	breach_type = row[7]
	a = breach_type.split(":")
	breach_type = a[1]
	scino = row[8]
	args = (msgtype, atimestamp, msg, breach_time, breach_count, breach_status, breach_type, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, breach_time, breach_count, breach_status, breach_type, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def onesixthree():
	print "163"							
	msgtype = row[0]
	atimestamp = row[1]
	msg = "ahrs"
	omegaIx = row[4]
	a = omegaIx.split(":")
	omegaIy = a[1]
	omegaIy = row[5]
	a = omegaIy.split(":")
	omegaIy = a[1]
	omegaIz = row[6]
	a = omegaIz.split(":")
	omegaIz = a[1]
	accel_weight = row[7]
	a = accel_weight.split(":")
	accel_weight = a[1]
	renorm_val = row[8]
	a = renorm_val.split(":")
	renorm_val = a[1]
	error_rp = row[9]
	a = error_rp.split(":")
	error_rp = a[1]
	error_yaw = row[10]
	a = error_yaw.split(":")
	error_yaw = a[1]
	scino = row[11]
	args = (msgtype, atimestamp, msg, omegaIx, omegaIy, omegaIz, accel_weight, renorm_val, error_rp, error_yaw, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, omegaIx, omegaIy, omegaIz, accel_weight, renorm_val, error_rp, error_yaw, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def onesixfive():
	print "165"												
	msgtype = row[0]
	atimestamp = row[1]
	msg = "hwstatus"
	vcc = row[4]
	a = vcc.split(":")
	vcc = a[1]
	I2Cerr = row[5]
	a = I2Cerr.split(":")
	I2Cerr = a[1]
	scino = row[6]
	args = (msgtype, atimestamp, msg, vcc, I2Cerr, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, vcc, I2Cerr, scino) VALUES (%s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def onesixsix():
	print "166"						
	msgtype = row[0]
	atimestamp = row[1]
	msg = "radio"
	rxerrors = row[4]
	a = rxerrors.split(":")
	rxerrors = a[1]
	fixed = row[5]
	a = fixed.split(":")
	fixed = a[1]
	rssi = row[6]
	a = rssi.split(":")
	rssi = a[1]
	remrssi = row[7]
	a = remrssi.split(":")
	remrssi = a[1]
	txbuff = row[8]
	a = txbuff.split(":")
	txbuff = a[1]
	noise = row[9]
	a = noise.split(":")
	noise = a[1]
	remnoise = row[10]
	a = remnoise.split(":")
	remnoise = a[1]
	scino = row[11]
	args = (msgtype, atimestamp, msg, rxerrors, fixed, rssi, remrssi, txbuff, noise, remnoise, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, rxerrors, fixed, rssi, remrssi, txbuff, noise, remnoise, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def oneseventhree():
	print "173"											
	msgtype = row[0]
	atimestamp = row[1]
	msg = "rangefinder"
	distance = row[4]
	a = distance.split(":")
	distance = a[1]
	voltage = row[5]
	a = voltage.split(":")
	voltage = a[1]
	scino = row[6]
	args = (msgtype, atimestamp, msg, distance, voltage, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, distance, voltage, scino) VALUES (%s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

def onesevenseven():
	print "177"
	msgtype = row[0]
	atimestamp = row[1]
	msg = "compassmot_status"
	current = row[4]
	a = current.split(":")
	current = a[1]
	CompensationX = row[5]
	a = CompensationX.split(":")
	CompensationX = a[1]
	CompensationY = row[6]
	a = CompensationY.split(":")
	CompensationY = a[1]
	CompensationZ = row[7]
	a = CompensationZ.split(":")
	CompensationZ = a[1]
	throttle = row[8]
	a = throttle.split(":")
	throttle = a[1]
	interference = row[9]
	a = interference.split(":")
	interference = a[1]
	scino = row [10]
	args = (msgtype, atimestamp, msg, current, CompensationX, CompensationY, CompensationZ, throttle, interference, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, com_current, CompensationX, CompensationY, CompensationZ, throttle, interference, scino) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)
							
def twofivethree():
	print "253"												
	msgtype = row[0]
	atimestamp = row[1]
	msg = "statustext"
	severity = row[4]
	a = severity.split(":")
	severity = a[1]
	text = row[5]
	a = text.split(":")
	text = a[1]
	scino = row[6]
	args = (msgtype, atimestamp, msg, severity, text, scino)
	query = "INSERT INTO `" + tablename + "` (msgtype, atimestamp, msg, severity, text, scino) VALUES (%s, %s, %s, %s, %s, %s)"
	print query
	print args
	try:
		cursor.execute(query, args)
	except Error as error:
		print(error)

options ={
	0 : zero,
	1 : one,
	2 : two,
	22 : twentytwo,
	24 : twentyfour,
	27 : twentyseven,
	29 : twentynine,
	30 : thirty,
	33 : thirtythree,
	35 : thirtyfive,
	36 : thirtysix,
	39 : thirtynine,
	40 : fourty,
	42 : fourtytwo,
	44 : fourtyfour,
	47 : fourtyseven,
	62 : sixtytwo,
	74 : seventyfour,
	77 : seventyseven,
	109 : oneohnine,
	150 : onefifty,
	152 : onefivetwo,
	162 : onesixtwo,
	163 : onesixthree,
	165 : onesixfive,
	166 : onesixsix,
	173 : oneseventhree,
	177 : onesevenseven,
	253 : twofivethree,
}


parser = argparse.ArgumentParser(description="Takes a .csv from TLogToCsv.jar and Inserts the values into MySql")
parser.add_argument('-i', '--input', help='Input file name', required=True)
args = parser.parse_args()
file = args.input
filename = args.input
tablename = filename
with open(file, 'rb') as csvfile:
	reader = csv.reader(csvfile, delimiter=',', quotechar='|')
	cnx = mysql.connector.connect(user='user', password='password', host='host', database='database')
	cursor = cnx.cursor()
	maketable() 
	for row in reader:
		logtype = int(row[0])
		options[logtype]()
	#insert record into index
	#	
	cursor.close()
cnx.close()	